### 运维组issue使用规范

####  issue创建使用规范

* 工作内容必须落实到issue中并且每天对issue进行跟进
* issue从创建到关闭必须有跟进,有结果方案,不能模糊不清楚，完成后必须及时关闭
* issue必须在里程碑里面并配合标签说明次issue的功能
* 未完成issue必须使用标签:状态标签,优先级标签,功能标签
* 关闭issue标签,必须使用已解决或者废弃,废弃理由必须充分
* doing列issue列表,最多只能有两个issue,一种是持续跟进类型,另一种是手头正在做的任务,不许issue里面有两种正在做的issue
* 如果紧急的临时任务打乱正在做的任务,将正在做的任务放到to do列表里面,临时任务完成以后在将to do里面的任务转移到doing(咋感觉有点像cpu工作流程)

#### 周报

* 每人每周在issue里面创建周报,按照周报格式进行工作总结,每周日下午下班前必须编写完成,如周日有请假,请提前写好周报

#### 标签使用说明

**标签分类**

**分类**|**标签**
-----|----
状态标签|Doing,To Do ,已解决
优先级标签|紧急紧急,重要紧急,重要不紧急,不紧急
功能标签|开发临时任务,开发持续跟进任务,运维临时任务,问题处理,月度目标



#### issue任务优先级

* 紧急紧急(开发临时任务,运维突发型任务)>重要紧急(运维临时日常型工作用任务)>重要不紧急(月度目标,开发持续型跟进任务)>不紧急(学习类型)

**说明**:
* 分配的任务必须按照上述的优先级先后顺序进行,辅助开发优先级最高
* 重要不紧急不是不着急,而是先以紧急紧急,重要紧急任务完成
* 月度任务优先级低于临时任务,理由:月度任务耗时长,不能因为月度任务耽误其他马上能解决的日常问题